<section class="container-fluid with-maxwidth chapter">
  <article class="article">
    <div class="row">
      <h2 class="article-title col-12 col-sm-3">
        <span>Mis Horas</span>
      </h2>
      <div class="col-12 col-sm-3">
        <mat-form-field class="full-width">
          <input [(ngModel)]="fDesde" (dateChange)="Reload()" class="full-width" matInput [matDatepicker]="pickerFDesde" placeholder="Fecha Desde">
          <mat-datepicker-toggle matSuffix [for]="pickerFDesde"></mat-datepicker-toggle>
          <mat-datepicker #pickerFDesde></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="col-12 col-sm-3">
        <mat-form-field class="full-width">
          <input [(ngModel)]="fHasta" (dateChange)="Reload()" class="full-width" matInput [matDatepicker]="pickerFHasta" placeholder="Fecha Hasta">
          <mat-datepicker-toggle matSuffix [for]="pickerFHasta"></mat-datepicker-toggle>
          <mat-datepicker #pickerFHasta></mat-datepicker>
        </mat-form-field>
      </div>      
      <div class="col-6 col-sm-1 full-width text-sm-right text-left">
        <button matTooltipPosition="above" matTooltip="Mes Anterior." [disabled]="loading" (click)="MesAnterior()" mat-icon-button color="warn">
          <mat-icon class="material-icons">replay</mat-icon>
        </button>
      </div>
      <div class="col-6 col-sm-1 full-width text-sm-right text-left">
        <button matTooltipPosition="above" matTooltip="Mes Siguiente." [disabled]="loading" (click)="MesSiguiente()" mat-icon-button
          color="accent">
          <mat-icon class="material-icons">replay</mat-icon>
        </button>
      </div>
      <div class="col-6 col-sm-1 full-width text-sm-right text-left">
        <button matTooltipPosition="above" matTooltip="Bajar archivo csv con los datos." [disabled]="loading" (click)="Download_CSV()"
          mat-icon-button color="primary">
          <mat-icon class="material-icons">file_download</mat-icon>
        </button>
      </div>
    </div>

    <div class="row" *ngIf="listaTotales !== undefined && listaTotales.length > 0 && !loading">
      <div class="col-xl-4 offset-xl-4 col-md-6 offset-md-3 col-sm-12 col-12">
        <div class="box box-transparent">
          <div class="box-body no-padding-h">
            <div class="box box-default table-box mdl-shadow--2dp table-responsive">
              <table class="mdl-data-table with-maxwidth">
                <thead>
                  <tr>
                    <th class="text-center" colspan="2">
                      Horas Por Proyecto
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let y of listaTotales">
                    <td class="text-left">{{y.proyectoNombre}}</td>
                    <td class="text-right">
                      <span>{{GetMinutosToString(y.minutos)}}</span>
                    </td>
                  </tr>
                </tbody>
                <tfoot>
                  <tr>
                    <td class="text-rigth">
                      <b>TOTALES</b>
                    </td>
                    <td>
                      <b>{{GetMinutosToString(total)}}</b>
                    </td>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="box box-default table-box table-responsive mdl-shadow--2dp">
      <table *ngIf="lista !== undefined && lista.length > 0 && !loading" class="mdl-data-table">
        <thead>
          <tr>
            <th>Día</th>
            <th>Hora de Entrada</th>
            <th>Hora de Salida</th>
            <th>Tiempo Total</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor='let x of lista'>
            <td>{{x.dia}}</td>
            <td>{{x.horaIn}}</td>
            <td>{{x.horaOut}}</td>
            <td>{{x.subtotal | myTimePipe:'HH hs. mm min.'}}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </article>
</section>